using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] l = Console.ReadLine().Split();
            double A = double.Parse(l[0]);
            double B = double.Parse(l[1]);
            double C = double.Parse(l[2]);
            string As = Convert.ToString(A);
            string Bs = Convert.ToString(B);
            string Cs = Convert.ToString(C);
            double Broj1 = Convert.ToDouble(As + Bs + Cs);
            double Broj2 = Convert.ToDouble(As + Cs + Bs);
            double Broj3 = Convert.ToDouble(Bs + As + Cs);
            double Broj4 = Convert.ToDouble(Bs + Cs + As);
            double Broj5 = Convert.ToDouble(Cs + As + Bs);
            double Broj6 = Convert.ToDouble(Cs + Bs + As);
            double[] niz = new double[6];
            niz[0] = Broj1;
            niz[1] = Broj2;
            niz[2] = Broj3;
            niz[3] = Broj4;
            niz[4] = Broj5;
            niz[5] = Broj6;
            double max = 0;
            for (int i = 0; i < 6; i++)
            {
                if (niz[i] > max)
                {
                    max = niz[i];
                }
            }            
            Console.WriteLine(max);
            Console.ReadLine();
        }
    }
}